List Skills
GET /api/skills
GET
/api/skills
List all skills, optionally filtered by agent or search query.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”Successful Response
SkillListResponse
Response for skill listing.
object
total
required
Total
Total skills
integer
skills
required
Skills
Skill list
Array<object>
SkillItemA single skill in API responses.
object
name
required
Name
Skill name
string
description
required
Description
Skill description
string
tags
Tags
Skill tags
Array<string>
source
required
Source
Where the skill was loaded from
string
tokenEstimate
required
Tokenestimate
Rough token count
integer
filePath
required
Filepath
Source file path
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context